package com.atguigu.spzx.manger.service.impl;

import com.atguigu.spzx.manger.mapper.ProductMapper;
import com.atguigu.spzx.manger.service.ProductService;
import com.atguigu.spzx.model.dto.product.ProductDto;
import com.atguigu.spzx.model.entity.product.Product;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ProductServiceImpl implements ProductService {
    @Autowired
    private ProductMapper productMapper;

    /**
     * 列表查询
     *
     * @param page  当前也
     * @param limit 每页限制
     * @param dto
     * @return 分页结果
     */
    @Override
    public PageInfo<Product> findByPage(Integer page, Integer limit, ProductDto dto) {
        Page<Object> startPage = PageHelper.startPage(page, limit);

        List<Product> productList = productMapper.findByPage(dto);
        startPage.close();
        return new PageInfo<>(productList);
    }
}
